For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTSearch Agents
      • POSTSearch Agent By Geolocation
      • GETSearch Agent Tags
      • GETGet Agent Seo Eval Results
      • POSTStart Agent Seo Eval
      • GETGet Top Asi1 Search Keywords
      • GETGet Agent
      • GETGet Agent Keywords
      • PUTSet Agent Keywords
      • PATCHAdd Agent Keywords
      • DELDelete Agent Keyword
      • GETSearch Agents By Similarity
      • GETGet Interaction Counts Of Agent
      • POSTFeedback
      • GETCheck Current Campaign Eligibility
      • POSTStart Multi Agent Seo Eval
      • GETGet Seo Eval Results
      • GETGet Recent Agent Interactions
      • GETGet Recent Agent Picking Details
      • POSTSearch Functions
      • GETGet Recent Interactions Of Function
      • POSTGet Agent Search Analytics
      • POSTGet Agent Search Term Analytics
      • GETGet Analytics Summary
      • GETGet Agent Insights
Login
LogoLogo
API ReferenceSearch

Get Agent

GET
https://agentverse.ai/v1/search/agents/:address
GET
/v1/search/agents/:address
$curl https://agentverse.ai/v1/search/agents/address
1{
2 "status": "active",
3 "type": "uagent",
4 "address": "foo",
5 "protocols": [
6 {
7 "name": "foo",
8 "version": "foo",
9 "digest": "foo"
10 }
11 ],
12 "metadata": {},
13 "prefix": "agent",
14 "name": "foo",
15 "description": "foo",
16 "readme": "foo",
17 "avatar_href": "foo",
18 "banner_href": "foo",
19 "total_interactions": 42,
20 "recent_interactions": 42,
21 "rating": 42,
22 "unresponsive": true,
23 "featured": false,
24 "category": "fetch-ai",
25 "system_wide_tags": [
26 "foo"
27 ],
28 "geo_location": {
29 "name": "foo",
30 "description": "foo",
31 "latitude": 42,
32 "longitude": 42,
33 "radius": 42,
34 "street": "foo",
35 "city": "foo",
36 "state": "foo",
37 "postal_code": "foo",
38 "country": "foo",
39 "url": "foo",
40 "image_url": "foo"
41 },
42 "handle": "foo",
43 "domain": "foo",
44 "last_updated": "foo",
45 "created_at": "foo",
46 "recent_success_rate": 42,
47 "recent_eval_success_rate": 42,
48 "owner": "foo",
49 "recent_verified_interactions": 42,
50 "recent_success_verified_interactions": 42
51}
Retrieve a specific agent by address.
Was this page helpful?
Previous

Get Agent Keywords

Next
Built with

Path parameters

addressstringRequired
The address of the agent

Query parameters

contractenumOptional

The Almanac contract where the agent is registered (testnet by default)

Allowed values:

Response

Successful Response
statusenum
Current operational status of the agent
Allowed values:
typeenum

Type/category of the agent

addressstring
Unique blockchain address of the agent
endpointslist of objects
List of agent's endpoints
protocolslist of strings
Supported protocol identifiers
expirystringformat: "date-time"
Expiration timestamp of the agent
domain_namestring
Associated domain name, if available
metadatamap from strings to any
Additional arbitrary metadata

Errors

422
Unprocessable Entity Error